| Home | Libraries | People | FAQ | More

##### http::basic_file_body::value_type::reset

Set the open file.

###### Synopsis

    void
    reset(
        File&& file,
        error_code& ec);

###### Description

This function is used to set the open file. Any previously set file will be closed.

###### Parameters

Name | Description
--- | ---
`file` | The file to set. The file must be open or else an error occurs
`ec` | Set to the error, if any occurred